
QGIS Application - Bug report #96

identify tool: there are spaces in the numeric fields

2006-04-20 02:15 PM - werchowyna-epf-pl -

Status: Closed

Priority: Low

Assignee:

Category:

Affected QGIS version:2.4.0 Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 10155

Description

1. add a shapefile with some numeric attributes

2. identify tool

3. see how spaces are present in the beginning of the numeric attributes; you can even edit them out but, in the first place, what are they

doing here?!

Maciek

History

#1 - 2006-05-09 05:26 PM - anonymous -

- Status changed from Open to In Progress

I think this is because the numeric fields are right justified. I'm not sure this qualifies as a bug.

#2 - 2006-07-14 01:12 PM - Gavin Macaulay -

- Resolution set to invalid

- Status changed from In Progress to Closed

This happens because the table only knows about text, and as mentioned above, numeric fields are right justified with spaces (this looks to be something

that Qt is doing and we don't appear to have any control over it). The spaces don't make it to the underlying data source if the field is numeric. I agree that

this isn't a bug.

#3 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted

#4 - 2014-06-29 10:12 AM - Jürgen Fischer

- Crashes QGIS or corrupts data set to No

- Assignee deleted (anonymous -)

- Affected QGIS version set to 2.4.0
